%global pypi_name pyubx2

Name:          python-%{pypi_name}
Version:       1.2.53
Release:       2%{?dist}
Summary:       Python library for UBX GPS/GNSS protocol messages
License:       BSD-3-Clause
URL:           https://github.com/semuconsulting/%{pypi_name}
Source0:       %url/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: python3-setuptools

%global _description %{expand:
pyubx2 is an original Python 3 parser for the UBX © protocol. UBX is a
proprietary binary protocol implemented on u-blox ™ GNSS receiver modules.
pyubx2 can also parse NMEA 0183 © and RTCM3 © protocols via the underlying
pynmeagps and pyrtcm packages from the same author - hence it covers all
the protocols that u-blox GNSS receivers are capable of outputting.
}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
sed -i 's/75.0/74.0/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Thu Jul 17 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1.2.53-2
- Rebuild for python bump

* Thu Jul 17 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1.2.53-1
- Update to 1.2.53

